<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:viewAction onPostback="false" action="#{employeeFood.init}"/>
</f:metadata>

<ui:composition>
    <h:head>
        <title>ثبت غذا</title>
    </h:head>

    <h:body style="direction: rtl">
        <div class="ui-g-3"></div>

        <p:fieldset legend="غذای کارمند" style="margin-bottom:30px" class="ui-g-6">
            <h:form id="addForm">
                <p:messages autoUpdate="true" globalOnly="false" id="messages" closable="true" />


                <p:fieldset legend="ثبت غذای کارمند" style="margin-bottom:20px" id="feildset1">
                    <p:panelGrid id="productAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >

                        <p:outputLabel value="نام سازمان:"/>
                        <p:selectOneMenu id="send" value="#{employeeFood.insertEmployeeFood.uniName}" style="width:152px" >
                            <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                            <f:selectItems value="#{employeeFood.unitsName}" />
                        </p:selectOneMenu>

                        <p:outputLabel value="کد پرسنلی:"/>
                        <p:inputText value="#{employeeFood.insertEmployeeFood.personalCode}"/>

                        <p:outputLabel for="button" value="تاریخ:" />
                        <p:calendar id="button" value="#{employeeFood.insertEmployeeFood.date}" showIcon="true" />

                        <p:outputLabel value="وعده ی روزانه:"/>
                        <p:inputText value="#{employeeFood.insertEmployeeFood.meal}" />
                    </p:panelGrid>

                    <p:spacer height="10"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ثبت" actionListener="#{employeeFood.insert}"
                                         update=":addForm feildset1">
                        </p:commandButton>
                    </p:panel>
                    <p:spacer height="10"/>


                    <p:fieldset legend=" نمایش غذای کارمند" style="margin-bottom:20px">


                        <p:fieldset legend="جستجوی غذا کارمند">

                            <p:panel styleClass="searchBox">
                                <p:panelGrid id="showemp" columns="6" columnsWidth="1,3,1,3,1,3" styleClass="ui-noborder">

                                    <p:outputLabel value="وعده ی روزانه:" style="margin-left: 5px;"/>
                                    <p:inputText value="#{employeeFood.searchMeal}" id="nameSearch" />

                                    <p:outputLabel for="button" value="تاریخ:" />
                                    <p:calendar id="buteton" value="#{employeeFood.searchDate}" showIcon="true" />

                                    <p:outputLabel value="کد پرسنلی:" style="margin-left: 5px;"/>
                                    <p:inputText value="#{employeeFood.personalCode}" id="nameeSearch" />

                                    <p:commandButton id="searchButton" value="جستجو"
                                                     actionListener="#{employeeFood.searchEmployeeFoodforView}"
                                                     update="@form">
                                    </p:commandButton>
                                </p:panelGrid>
                            </p:panel>
                            <p:spacer height="10"/>

                        </p:fieldset>
                        <p:spacer height="10"/>

                        <p:panel styleClass="searchBox">

                            <p:panelGrid id="empAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder">

                                <p:outputLabel value="نام سازمان:"/>
                                <p:selectOneMenu id="sendd" value="#{employeeFood.searchEmployeeFood.uniName}" style="width:152px" disabled="true">
                                    <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                                    <f:selectItems value="#{employeeFood.unitsName}" />
                                </p:selectOneMenu>

                                <p:outputLabel value="کد پرسنلی:"/>
                                <p:inputText value="#{employeeFood.searchEmployeeFood.personalCode}" disabled="true"/>

                                <p:outputLabel for="button" value="تاریخ:" />
                                <p:calendar id="buttonn" value="#{employeeFood.searchEmployeeFood.date}" showIcon="true" disabled="true"/>

                                <p:outputLabel value="وعده ی روزانه:"/>
                                <p:inputText value="#{employeeFood.searchEmployeeFood.meal}" disabled="true"/>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>
                    </p:fieldset>

                    <p:fieldset legend=" حذف غذای کارمند" style="margin-bottom:20px">


                        <p:fieldset legend="جستجوی غذای کارمند">

                            <p:panel styleClass="searchBox">
                                <p:panelGrid id="seditemp" columns="6" columnsWidth="1,3,1,3,1,3" styleClass="ui-noborder">

                                    <p:outputLabel value="وعده ی روزانه:" style="margin-left: 5px;"/>
                                    <p:inputText value="#{employeeFood.delMeal}" id="nameSeearch" />

                                    <p:outputLabel for="button" value="تاریخ:" />
                                    <p:calendar id="buteeton" value="#{employeeFood.delDate}" showIcon="true" />

                                    <p:outputLabel value="کد پرسنلی:" style="margin-left: 5px;"/>
                                    <p:inputText value="#{employeeFood.delPersoanalCode}" id="naameeSearch" />

                                    <p:commandButton id="searchButton3" value="جستجو"
                                                     actionListener="#{employeeFood.searchEmployeeFoodforDelete}"
                                                     update="@form">
                                    </p:commandButton>
                                </p:panelGrid>
                            </p:panel>
                            <p:spacer height="10"/>

                        </p:fieldset>
                        <p:spacer height="10"/>

                        <p:panel styleClass="searchBox">

                            <p:panelGrid id="empEdit" columns="2" columnsWidth="2,4" styleClass="ui-noborder">
                                <p:outputLabel value="نام سازمان:"/>
                                <p:selectOneMenu id="ssendd" value="#{employeeFood.editEmployeeFood.uniName}" style="width:152px" disabled="true">
                                    <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                                    <f:selectItems value="#{employeeFood.unitsName}" />
                                </p:selectOneMenu>

                                <p:outputLabel value="کد پرسنلی:"/>
                                <p:inputText value="#{employeeFood.editEmployeeFood.personalCode}" disabled="true"/>

                                <p:outputLabel for="button" value="تاریخ:" />
                                <p:calendar id="bbuttonn" value="#{employeeFood.editEmployeeFood.date}" showIcon="true" disabled="true"/>

                                <p:outputLabel value="وعده ی روزانه:"/>
                                <p:inputText value="#{employeeFood.editEmployeeFood.meal}" disabled="true"/>

                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                        <p:panel styleClass="buttonBox">
                            <p:commandButton value="حذف" actionListener="#{employeeFood.deleteEmployeeFood}"
                                             update=":addForm">
                            </p:commandButton>
                        </p:panel>
                    </p:fieldset>
                </p:fieldset>
            </h:form>
        </p:fieldset>

        <div class="ui-g-3"></div>
    </h:body>
</ui:composition>
</html>
